%define DATE 20010724
%define is_release 0
%define beta %{nil}
%define rel 2
Version: 2.0
Name: quanta
Summary: An HTML editor for KDE.
%if %{is_release}
%if "%{beta}" == ""
Source: http://download.sourceforge.net/quanta/%{name}-%{version}.tar.bz2
Release: %{rel}
%else
Source: http://download.sourceforge.net/quanta/%{name}-%{version}-%{beta}.tar.bz2
Release: 0.%{beta}.%{rel}
%endif
%else
Source: http://download.sourceforge.net/quanta/%{name}-%{DATE}.tar.bz2
Release: 0.cvs%{DATE}.%{rel}
%endif
Epoch: 1
Source1: http://download.sourceforge.net/quanta/css.tar.bz2
Source2: http://download.sourceforge.net/quanta/html.tar.bz2
Source3: http://download.sourceforge.net/quanta/php.tar.bz2
Source4: http://download.sourceforge.net/quanta/javascript.tar.bz2
Patch: quanta-20010724-broken.patch
Patch1: javascript.patch
URL: http://quanta.sourceforge.net/
License: GPL
Group: Applications/Editors
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdelibs >= 2.1
BuildPrereq: qt-devel >= 2.2.2, kdelibs-devel >= 2.1
Prefix: /usr
Obsoletes: WebMaker

%description
Quanta Plus is an HTML editor for the K Desktop Environment. This
program is designed for quick Web development. Quanta is rapidly
becoming a mature editor with a number of great features. Its
objective is to produce a complete Web development environment for
active development with a focus on supporting professional level
development. This means full HTML 4.0 support including cascading
style sheets and lots of time saving features. Support for Perl,
Javascript, and PHP is being developed (and working to a small extent
in this release).

%prep
%setup -q -n %{name} -a 1 -a 2 -a 3 -a 4
%patch -p1 -b .broken
%patch1 -p0 -b .javascript

%build
QTDIR="" && . /etc/profile.d/qt.sh
test -f Makefile.cvs && make -f Makefile.cvs
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr

LANG=C make %{?smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
for i in css html php javascript ; do
	cd $i
 ./install.sh <<EOF
$RPM_BUILD_ROOT/usr/share/apps/quanta/doc
EOF
	cd ..
	rm -rf $i
done

cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -s ../common $i
	fi
done

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' |grep -v 'quanta.mo$' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root)
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/quanta.mo
%lang(eu) %{_datadir}/locale/eu/LC_MESSAGES/quanta.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/quanta.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/quanta.mo
%lang(az) %{_datadir}/locale/az/LC_MESSAGES/quanta.mo
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/quanta.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/quanta.mo
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/quanta.mo
%lang(af) %{_datadir}/locale/af/LC_MESSAGES/quanta.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/quanta.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/quanta.mo

%changelog
* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.0-0.cvs20010724.2
- fix quanta crashes on exit (Bug #51180)
- fix bad character (Bug #51509)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010724.1
- langify
- remove ia64 workarounds
- update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010723.1
- Update
- Make symlinks relative

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.0pr1

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of libkdefakes.so.0 requirement

* Thu Jan  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial build, obsoletes WebMaker
